Subject: New tool prototypes

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 13:08:31 +0100

Two prototypes of new tools for the IETF community are now available from
the Tools-team website, http://tools.ietf.org/ : 

    1. Workgroup agenda pages with embedded html links to all drafts and URLs
    referred to in the agendas: http://tools.ietf.org/agenda/62/

    2. Workgroup status pages showing the current status of the drafts
    belonging to a workgroup: http://tools.ietf.org/wg/

There are links from the html-ized agenda page to both the html-ized WG
agendas and to the WG status pages, and links from the WG status pages to the
WG agendas.

As these are prototypes, they are not expected to be perfect or complete,
but they are expected to be useful to the community as-is, and comments
on functionality, missing features and bugs are welcome!

Comments will be taken as input to specification of full-fledged versions
of similar tools, and may also be fed back into the prototypes.

	Henrik

---

From: Ólafur Guðmundsson <[email-masked]>
Date: Fri, 04 Mar 2005 09:52:32 -0500

>    belonging to a workgroup: http://tools.ietf.org/wg/

<snip>

>of similar tools, and may also be fed back into the prototypes.

I think we need at least one more status state.
In my working group we encourage people to write up their ideas as
discussion platform. After 2-5 ideas are presented and discussed they
morph into one final product.
Frequently the first and second versions of these drafts
are draft-<editor>-<wg> (our suggested notation) before making it
to draft-ietf-<wg>.

The status: "Expired" to me means the draft has been dropped
but that is frequently not accurate.
I would like to be able to indicate that a draft has
been "Replaced by" another draft.

Example: on DNSEXT page in the Expired category are drafts:
         draft-ietf-dnsext-parent-stores-zone-keys
         draft-ietf-dnsext-parent-sig
These two[1] drafts motivated and gave way to
         draft-ietf-dnsext-delegation-signer  RFC 3658

 From historical perspective I would like to somehow acknowledge
the people that contributed to the process and how they did that.

I realize this is a larger issue than just the tool, as the
back end database does not have this information.

         Olafur

[1] At least one of these draft was had a draft-<editor> draft
before it became a WG draft.

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 16:46:01 +0100

> are draft-<editor>-<wg> (our suggested notation) before making it

I agree, and have planned to pick up and display these as "Related
personal drafts" (or some other suitable characterisation - feel free
to suggest alternatives).  This is on the TO-DO list.

>          draft-ietf-dnsext-delegation-signer  RFC 3658

Again, I agree.  The current pages will already now indicate
"Replaced by draft-....." if that information is in the secretariat's
data-base.  For the two drafts you mention above, the database
extract available in the form of the all_id.txt file simply
indicate "Expired".

We hope that the "Replaces ..." meta-information will be more
reliably and consistently captured when the automated draft-submission
tool is implemented (which will support this) but it will still be
up to the submitters to provide this information - I don't see any
good way of automating this...

> back end database does not have this information.

Yes.  I like the the idea, but don't know today how to support
it tools-wise.

	Henrik

[...]

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 20:18:02 +0100

Hi Fred,

    What you mention below seems to be related to the RSS feed I
intend to add to the WG status pages, according to the feature
list I sent out earlier.  With that in place, any RSS feed reader
will poll the relevant pages and notify you of any new information.

As for a more general solution, this is one of the other items
the tools-team are currently working on - the relevant document
is draft-ietf-tools-notification-03.txt, and with your permission
I'd like to forward your comments to the tools-team list as input
to that.

In particular your comments regarding the once-per-day notification
of tracker changes, with diff markings, is something we have not
currently captured in that document; this also goes for the ability
for WG chairs to request notifications for co-chair and draft
authors.

In the very short term existing change notification services are
probably your best bet; then when I have the RSS feed prototype in
place that should give you some basics, and the next step would be
to complete the notification requirements draft and maybe do a
prototype implementation of a notification service; finally I hope
that we can get built a full implementation of what the notification
requirements draft describes.

	Henrik

On 2005-03-04 7:20 pm Baker Fred said the following:
> Thanks much for this.
> 
> I have been looking at what the best way might be to stay on top of 
> changes in drafts related to a working group. I have been thinking 
> about possibly using one of the paid or free "web site watching" 
> services, or installing one of several PERL or AppleScript applications 
> on my own computer. It would be *really*nice* if somewhere, perhaps in 
> the I-D tracker, a "tickle" function could be installed.
> 
> What I'm looking for is, as a working group chair, to have the working 
> group chairs notified by email whenever a new draft is posted that 
> claims to have relevance to my WG. That would be any draft-ietf-<wg> 
> draft, or any personal submission draft-<name>-<wg>. There are four 
> possible actions that I was WG chair might then do:
> 
>   - draft-<name>-<wg>-*-00.txt
> 	invite discussion on the WG mailer, with a view to determining whether 
> this is really appropriate to the WG and is really a good solution to 
> its stated problem
> 
>   - other draft-<name>-<wg>-*
> 	discuss draft with authors
> 
>   - draft-ietf-<wg>-*-00.txt
> 	note to working group encouraging people to comment on the mailer
> 
>   - other draft-ietf-<wg>-*
> 	note to authors copying WG asking them to summarize changes and 
> inviting discussion
> 
> In addition, whenever the ID tracker changes status for my WG (at most 
> once per day), I would like myself and my co-chair to receive an email 
> noting that there was a change and summarizing the change. For example, 
> it might include as an attachment the html page that would result from 
> opening the ID tracker and typing in my WG's name, but with diff 
> marking highlighting what changed (the state of a given draft changed 
> or whatever).
> 
> In addition, whenever the ID tracker changes *detail* status for a 
> draft in my WG (at most once per day), I want the authors to be sent a 
> note, copying the chairs and the WG, indicating the state change and 
> containing the URL. For example, if an AD enters a note, the authors 
> would get a tickle email. I would (obviously) have to say who the 
> authors were.
> 
> I can do part of that from services like http://www.changedetect.com/, 
> and maybe that is the right solution in the near term. What the 
> services I see won't give me is the ability to list other recipients 
> for the email like my co-chair or the authors, or the WG, or to tell me 
> about new drafts being posted. So I'm not completely wacko...
> 
> Maybe I just need to do some scripting?
> 
> 
> On Mar 4, 2005, at 4:08 AM, Henrik Levkowetz wrote:
> 
>>
>> _______________________________________________
>> IETF-Announce mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ietf-announce
>>
>

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 20:27:37 +0100

on 2005-03-04 7:38 pm JP Vasseur said the following:
> Hi Henrik,
> 
> Excellent ! Is it planned to have the ability for the chairs to post 
> the presentations ?

I intend to start with the ability to do last-minute updates to the
WG agendas, but posting the presentations would not be a complex
addition.

I'm not sure I'll manage that in time for this IETF, but if I do I'll
announce it on the wgchairs list.

	Henrik

> 
> Thanks.
> 
> JP.
> 
> On Mar 4, 2005, at 7:08 AM, Henrik Levkowetz wrote:
> 
>>

---

From: Baker Fred <[email-masked]>
Date: Fri, 4 Mar 2005 11:51:25 -0800

Permission granted...

I have indeed set the thing up right now with changedetect. It's not a 
free service (the free one doesn't look at https pages), but it's not 
very expensive - $15.00/month. And it only reports to me, not to a set 
of addresses I specify.

Point me to the tools-team list? I that something I can join, or is it 
a constrained alias?

On Mar 4, 2005, at 11:18 AM, Henrik Levkowetz wrote:

>>> agendas and to the WG status pages, and links from the WG status 
>>> pages
>>> to the
>>> WG agendas.
>>>

---

From: "Brian Rosen" <[email-masked]>
Date: Fri, 4 Mar 2005 13:10:43 -0500

Could we not begin by at least listing drafts with a name
draft-<editor>-<wg>-..

on the status page?

I think we can assume most of us do the right thing, and the scale of the
problem where an inappropriate draft is listed on the page is much less than
the utility of having the good ones listed on the page?

Brian

> -----Original Message-----
> From: [email-masked] [mailto:ietf-announce-
> [email-masked]] On Behalf Of Ólafur Guðmundsson
> Sent: Friday, March 04, 2005 9:53 AM
> To: Henrik Levkowetz; [email-masked]; WG Chairs
> Subject: Re: New tool prototypes
>

---

From: Baker Fred <[email-masked]>
Date: Fri, 4 Mar 2005 10:20:14 -0800

Thanks much for this.

---

From: JP Vasseur <[email-masked]>
Date: Fri, 4 Mar 2005 13:38:45 -0500

Hi Henrik,

Thanks.

JP.

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 21:04:30 +0100

Hi Fred,

> Permission granted...

Thanks.  I'll forward your note to tools-discuss rather than tools-team
as there may be follow-ups of general interest.  (See below regarding the
difference between the two lists.)

> very expensive - $15.00/month. And it only reports to me, not to a set 

Ah, ok.  So there are limitations.  I hope to have prototype RSS feeds
up within a few weeks, with two granularities: per-workgroup new
events and per-draft new events.

> Point me to the tools-team list? I that something I can join, or is it 

The [email-masked] list is a team internal list.  For tools
discussions in general we have [email-masked]; you can subscribe
at https://www1.ietf.org/mailman/listinfo/tools-discuss or by sending
an email to [email-masked] with "subscribe" in the body
of the mail.

	Henrik

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 04 Mar 2005 21:13:32 +0100

on 2005-03-04 9:10 pm Baker Fred said the following:
> On Mar 4, 2005, at 12:04 PM, Henrik Levkowetz wrote:
> Yes, there are limitations on the service commercially available, and 
> personally I think the new-and-improved version I described is a 
> service that IETF (ISOC?) should offer to its community rather than 
> having the community provide it for itself individually.

I fully agree.

	Henrik

---

From: Baker Fred <[email-masked]>
Date: Fri, 4 Mar 2005 12:10:33 -0800

---

From: Jeffrey Haas <[email-masked]>
Date: Mon, 7 Mar 2005 09:20:42 -0500

On Fri, Mar 04, 2005 at 10:20:14AM -0800, Baker Fred wrote:
> changes in drafts related to a working group.
[...]

> draft, or any personal submission draft-<name>-<wg>. 

There is also the case where one WG's primary function will have 
cross-functional work.  Two examples are the MPLS-PING function and
BFD and IDRs difficulty in being fully aware of various WGs doing
BGP relevant work.

I had suggested at the last rtg-directorate meeting I was able to attend
that it'd be nice to have some way of keywording drafts so that they're
able to be correlated with various groups.  I think Bill had done
a little work related to tracing these dependencies via the references.

-- 
Jeff Haas 
NextHop Technologies